VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::ovf::LibraryItemTypes::ResourcePoolDeploymentSpec Class Reference

The `LibraryItem.ResourcePoolDeploymentSpec` class defines the deployment parameters that can be specified for the `Deploy` method where the deployment target is a resource pool. More...

List of all members.

## Public Member Functions
| ResourcePoolDeploymentSpec ()
| Creates a default new instance.
string | GetName ()
| Name assigned to the deployed target virtual machine or virtual appliance.
void | SetName (string name)
| Name assigned to the deployed target virtual machine or virtual appliance.
string | GetAnnotation ()
| Annotation assigned to the deployed target virtual machine or virtual appliance.
void | SetAnnotation (string annotation)
| Annotation assigned to the deployed target virtual machine or virtual appliance.
bool | GetAcceptAllEULA ()
| Whether to accept all End User License Agreements.
void | SetAcceptAllEULA (bool acceptAllEULA)
| Whether to accept all End User License Agreements.
global::System.Collections.Generic.Dictionary < string, string > | GetNetworkMappings ()
| Specification of the target network to use for sections of type ovf:NetworkSection in the OVF descriptor.
void | SetNetworkMappings (global::System.Collections.Generic.Dictionary< string, string > networkMappings)
| Specification of the target network to use for sections of type ovf:NetworkSection in the OVF descriptor.
global::System.Collections.Generic.Dictionary < string, vmware.vcenter.ovf.LibraryItemTypes.StorageGroupMapping > | GetStorageMappings ()
| Specification of the target storage to use for sections of type vmw:StorageGroupSection in the OVF descriptor.
void | SetStorageMappings (global::System.Collections.Generic.Dictionary< string, vmware.vcenter.ovf.LibraryItemTypes.StorageGroupMapping > storageMappings)
| Specification of the target storage to use for sections of type vmw:StorageGroupSection in the OVF descriptor.
vmware.vcenter.ovf.DiskProvisioningType | GetStorageProvisioning ()
| Default storage provisioning type to use for all sections of type vmw:StorageSection in the OVF descriptor.
void | SetStorageProvisioning (vmware.vcenter.ovf.DiskProvisioningType storageProvisioning)
| Default storage provisioning type to use for all sections of type vmw:StorageSection in the OVF descriptor.
string | GetStorageProfileId ()
| Default storage profile to use for all sections of type vmw:StorageSection in the OVF descriptor.
void | SetStorageProfileId (string storageProfileId)
| Default storage profile to use for all sections of type vmw:StorageSection in the OVF descriptor.
string | GetLocale ()
| The locale to use for parsing the OVF descriptor.
void | SetLocale (string locale)
| The locale to use for parsing the OVF descriptor.
global::System.Collections.Generic.List < string > | GetFlags ()
| Flags to be use for deployment.
void | SetFlags (global::System.Collections.Generic.List< string > flags)
| Flags to be use for deployment.
global::System.Collections.Generic.List < vmware.vapi.bindings.IStructure > | GetAdditionalParameters ()
| Additional OVF parameters that may be needed for the deployment.
void | SetAdditionalParameters (global::System.Collections.Generic.List< vmware.vapi.bindings.IStructure > additionalParameters)
| Additional OVF parameters that may be needed for the deployment.
string | GetDefaultDatastoreId ()
| Default datastore to use for all sections of type vmw:StorageSection in the OVF descriptor.
void | SetDefaultDatastoreId (string defaultDatastoreId)
| Default datastore to use for all sections of type vmw:StorageSection in the OVF descriptor.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `LibraryItem.ResourcePoolDeploymentSpec` class defines the deployment parameters that can be specified for the `Deploy` method where the deployment target is a resource pool.

See LibraryItem.Deploy .

## Constructor & Destructor Documentation

vmware::vcenter::ovf::LibraryItemTypes::ResourcePoolDeploymentSpec::ResourcePoolDeploymentSpec | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::ovf::LibraryItemTypes::ResourcePoolDeploymentSpec::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::ovf::LibraryItemTypes::ResourcePoolDeploymentSpec::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::ovf::LibraryItemTypes::ResourcePoolDeploymentSpec::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::ovf::LibraryItemTypes::ResourcePoolDeploymentSpec::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::ovf::LibraryItemTypes::ResourcePoolDeploymentSpec::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::ovf::LibraryItemTypes::ResourcePoolDeploymentSpec::Equals | ( | object | obj | ) | `[inline]`

bool vmware::vcenter::ovf::LibraryItemTypes::ResourcePoolDeploymentSpec::GetAcceptAllEULA | ( |  | ) | `[inline]`

Whether to accept all End User License Agreements.

See LibraryItem.OvfSummary.eULAs .

global::System.Collections.Generic.List<vmware.vapi.bindings.IStructure> vmware::vcenter::ovf::LibraryItemTypes::ResourcePoolDeploymentSpec::GetAdditionalParameters | ( |  | ) | `[inline]`

Additional OVF parameters that may be needed for the deployment.

Additional OVF parameters may be required by the OVF descriptor of the OVF package in the library item. Examples of OVF parameters that can be specified through this field include, but are not limited to:

- DeploymentOptionParams
- ExtraConfigParams
- IpAllocationParams
- PropertyParams
- ScaleOutParams
- VcenterExtensionParams

When clients pass a value of this class as a parameter, the field must contain all the attributes defined in OvfParams . When methods return a value of this class as a result, the field will contain all the attributes defined in OvfParams .

string vmware::vcenter::ovf::LibraryItemTypes::ResourcePoolDeploymentSpec::GetAnnotation | ( |  | ) | `[inline]`

Annotation assigned to the deployed target virtual machine or virtual appliance.

string vmware::vcenter::ovf::LibraryItemTypes::ResourcePoolDeploymentSpec::GetDefaultDatastoreId | ( |  | ) | `[inline]`

Default datastore to use for all sections of type vmw:StorageSection in the OVF descriptor.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `Datastore` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `Datastore` .

global::System.Collections.Generic.List<string> vmware::vcenter::ovf::LibraryItemTypes::ResourcePoolDeploymentSpec::GetFlags | ( |  | ) | `[inline]`

Flags to be use for deployment.

The supported flag values can be obtained using ImportFlag.List .

override int vmware::vcenter::ovf::LibraryItemTypes::ResourcePoolDeploymentSpec::GetHashCode | ( |  | ) | `[inline]`

string vmware::vcenter::ovf::LibraryItemTypes::ResourcePoolDeploymentSpec::GetLocale | ( |  | ) | `[inline]`

The locale to use for parsing the OVF descriptor.

string vmware::vcenter::ovf::LibraryItemTypes::ResourcePoolDeploymentSpec::GetName | ( |  | ) | `[inline]`

Name assigned to the deployed target virtual machine or virtual appliance.

global::System.Collections.Generic.Dictionary<string, string> vmware::vcenter::ovf::LibraryItemTypes::ResourcePoolDeploymentSpec::GetNetworkMappings | ( |  | ) | `[inline]`

Specification of the target network to use for sections of type ovf:NetworkSection in the OVF descriptor.

The key in the map is the section identifier of the ovf:NetworkSection section in the OVF descriptor and the value is the target network to be used for deployment. When clients pass a value of this class as a parameter, the value in the field map must be an identifier for the resource type: `Network` . When methods return a value of this class as a result, the value in the field map will be an identifier for the resource type: `Network` .

global::System.Collections.Generic.Dictionary<string, vmware.vcenter.ovf.LibraryItemTypes.StorageGroupMapping> vmware::vcenter::ovf::LibraryItemTypes::ResourcePoolDeploymentSpec::GetStorageMappings | ( |  | ) | `[inline]`

Specification of the target storage to use for sections of type vmw:StorageGroupSection in the OVF descriptor.

The key in the map is the section identifier of the ovf:StorageGroupSection section in the OVF descriptor and the value is the target storage specification to be used for deployment. See LibraryItem.StorageGroupMapping .

string vmware::vcenter::ovf::LibraryItemTypes::ResourcePoolDeploymentSpec::GetStorageProfileId | ( |  | ) | `[inline]`

Default storage profile to use for all sections of type vmw:StorageSection in the OVF descriptor.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `StorageProfile` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `StorageProfile` .

vmware.vcenter.ovf.DiskProvisioningType vmware::vcenter::ovf::LibraryItemTypes::ResourcePoolDeploymentSpec::GetStorageProvisioning | ( |  | ) | `[inline]`

Default storage provisioning type to use for all sections of type vmw:StorageSection in the OVF descriptor.

void vmware::vcenter::ovf::LibraryItemTypes::ResourcePoolDeploymentSpec::SetAcceptAllEULA | ( | bool | acceptAllEULA | ) | `[inline]`

Whether to accept all End User License Agreements.

See LibraryItem.OvfSummary.eULAs .

void vmware::vcenter::ovf::LibraryItemTypes::ResourcePoolDeploymentSpec::SetAdditionalParameters | ( | global::System.Collections.Generic.List< vmware.vapi.bindings.IStructure > | additionalParameters | ) | `[inline]`

Additional OVF parameters that may be needed for the deployment.

Additional OVF parameters may be required by the OVF descriptor of the OVF package in the library item. Examples of OVF parameters that can be specified through this field include, but are not limited to:

- DeploymentOptionParams
- ExtraConfigParams
- IpAllocationParams
- PropertyParams
- ScaleOutParams
- VcenterExtensionParams

When clients pass a value of this class as a parameter, the field must contain all the attributes defined in OvfParams . When methods return a value of this class as a result, the field will contain all the attributes defined in OvfParams .

void vmware::vcenter::ovf::LibraryItemTypes::ResourcePoolDeploymentSpec::SetAnnotation | ( | string | annotation | ) | `[inline]`

Annotation assigned to the deployed target virtual machine or virtual appliance.

void vmware::vcenter::ovf::LibraryItemTypes::ResourcePoolDeploymentSpec::SetDefaultDatastoreId | ( | string | defaultDatastoreId | ) | `[inline]`

Default datastore to use for all sections of type vmw:StorageSection in the OVF descriptor.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `Datastore` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `Datastore` .

void vmware::vcenter::ovf::LibraryItemTypes::ResourcePoolDeploymentSpec::SetFlags | ( | global::System.Collections.Generic.List< string > | flags | ) | `[inline]`

Flags to be use for deployment.

The supported flag values can be obtained using ImportFlag.List .

void vmware::vcenter::ovf::LibraryItemTypes::ResourcePoolDeploymentSpec::SetLocale | ( | string | locale | ) | `[inline]`

The locale to use for parsing the OVF descriptor.

void vmware::vcenter::ovf::LibraryItemTypes::ResourcePoolDeploymentSpec::SetName | ( | string | name | ) | `[inline]`

Name assigned to the deployed target virtual machine or virtual appliance.

void vmware::vcenter::ovf::LibraryItemTypes::ResourcePoolDeploymentSpec::SetNetworkMappings | ( | global::System.Collections.Generic.Dictionary< string, string > | networkMappings | ) | `[inline]`

Specification of the target network to use for sections of type ovf:NetworkSection in the OVF descriptor.

The key in the map is the section identifier of the ovf:NetworkSection section in the OVF descriptor and the value is the target network to be used for deployment. When clients pass a value of this class as a parameter, the value in the field map must be an identifier for the resource type: `Network` . When methods return a value of this class as a result, the value in the field map will be an identifier for the resource type: `Network` .

void vmware::vcenter::ovf::LibraryItemTypes::ResourcePoolDeploymentSpec::SetStorageMappings | ( | global::System.Collections.Generic.Dictionary< string, vmware.vcenter.ovf.LibraryItemTypes.StorageGroupMapping > | storageMappings | ) | `[inline]`

Specification of the target storage to use for sections of type vmw:StorageGroupSection in the OVF descriptor.

The key in the map is the section identifier of the ovf:StorageGroupSection section in the OVF descriptor and the value is the target storage specification to be used for deployment. See LibraryItem.StorageGroupMapping .

void vmware::vcenter::ovf::LibraryItemTypes::ResourcePoolDeploymentSpec::SetStorageProfileId | ( | string | storageProfileId | ) | `[inline]`

Default storage profile to use for all sections of type vmw:StorageSection in the OVF descriptor.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `StorageProfile` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `StorageProfile` .

void vmware::vcenter::ovf::LibraryItemTypes::ResourcePoolDeploymentSpec::SetStorageProvisioning | ( | vmware.vcenter.ovf.DiskProvisioningType | storageProvisioning | ) | `[inline]`

Default storage provisioning type to use for all sections of type vmw:StorageSection in the OVF descriptor.

override string vmware::vcenter::ovf::LibraryItemTypes::ResourcePoolDeploymentSpec::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- LibraryItemTypes.cs